import { createSignal } from "solid-js"

const [phone, setPhone] = createSignal('')
const [email, setEmail] = createSignal('')

export const ImpressComponent = (props: { email, phoneNumber }) => {

    setTimeout(() => {
        setPhone(atob(props.phoneNumber))
        setEmail(atob(props.email))
    }, 300);

    return (
        <div class="p-20">
            <p class="text-3xl">Impressum</p>
            <p class="text-small text-zinc-300 mb-5">Angaben gemäß § 5 TMG</p>
            <p>Dominik Strangas <br />80937 München</p>
            Vertreten durch: <br />Dominik Strangas<br /> Kontakt:<br />
            <a href={`tel:${phone()}`}>
                <div class="flex">
                    Telefon: {phone()}
                </div>
            </a>
            <br
            />
            <a href={`mailto:${email()}`}>
                <div class="flex">
                    E-Mail: {email()}
                </div>
            </a>
            <br />Umsatzsteuer-ID:
            <p>
                Umsatzsteuer-Identifikationsnummer gemäß §27a Umsatzsteuergesetz: Musterustid. Wirtschafts-ID:
                Musterwirtschaftsid
            </p>
        </div>
    )
}